function Yout = reconstruct_image(Yin)

    size_mb = size(Yin{1,1});
    Yout = zeros( size(Yin,1)*size_mb(1),size(Yin,2)*size_mb(2) );
    for m = 1 : size(Yin,1)
        for n = 1 : size(Yin,2)
            Yout( (m-1)*size_mb(1)+1:m*size_mb(1), (n-1)*size_mb(2)+1:n*size_mb(2)) = Yin{m,n};
        end
    end
    figure;
    imshow(((Yout+128)/255))
    
end

